FC2ブログ

WindowsでTensorboardが使えなかった

カテゴリー: 雑記

個人的なメモ。

TensorboardをWindows環境で使えないか試してみました。

最初の壁はインストールされているパッケージの問題でした。Tensorboardを起動すると、エラーが報告されて、動作が停止します。
 import error::cannot import name encodings

何が原因か調査しているうちに、pipのバージョンが古いことに気づきました。で、pipを更新するために『python.exe ~』というコマンドを実施。その際に次のようなメッセージが表示されました。

 tensorflow-tensorboard 0.4.0rc3 has requirement html5lib==0.9999999, but you'll have html5lib 0.999999999 which is incompatible.

html5libのバージョンが違うということです。そこで以下のコマンドでバージョン指定してインストールし直し

 pip install html5lib==0.9999999

これで問題が解決しました。もっとも、ログを上手に取っていなかったようで、Tensorboardで情報を閲覧できなかったのですが(汗)。まぁ、一歩前進したのでよしとしましょう


追記:その後、無事に使い方を理解できました(←実用的な使い方ができるとは言っていない)
前ページ | | 次ページ











管理者にだけ表示を許可する
http://doubledealer989.blog74.fc2.com/tb.php/2157-1ecab54d